> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Environment Logs Token

> Creates an access token for retrieving environment logs.

`Unary` · [`Environments`](/docs/api-reference/generated/environment/overview)

Creates an access token for retrieving environment logs.

Generated tokens are valid for one hour and provide read-only access
to the environment's logs.

### Examples

* Generate logs token:

  Creates a temporary access token for retrieving environment logs.

  ```yaml theme={null}
  environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.EnvironmentService/CreateEnvironmentLogsToken
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.EnvironmentService/CreateEnvironmentLogsToken" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "environmentId": "<environment-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.environment_pb2 as environment_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = environment_pb2.CreateEnvironmentLogsTokenRequest(
      environment_id="<environment-id>",
  )
  response = ona.services.environment.create_environment_logs_token(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { CreateEnvironmentLogsTokenRequestSchema } from "@gitpod/sdk/gitpod/v1/environment_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(CreateEnvironmentLogsTokenRequestSchema, {
      environmentId: "<environment-id>",
    });
    const response = await ona.services.environment.createEnvironmentLogsToken(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.CreateEnvironmentLogsTokenRequest{
  		EnvironmentId: "<environment-id>",
  	})
  	response, err := ona.Services.Environment.CreateEnvironmentLogsToken(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "environmentId": "<environment-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.CreateEnvironmentLogsTokenRequest`

| Field           | Type   | Required | Description                                                                                                            |
| --------------- | ------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `environmentId` | string | No       | environment\_id specifies the environment for which the logs token should be created. Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.CreateEnvironmentLogsTokenResponse`

| Field         | Type   | Required | Description                                                                                                     |
| ------------- | ------ | -------- | --------------------------------------------------------------------------------------------------------------- |
| `accessToken` | string | Yes      | access\_token is the token that can be used to access the logs of the environment Constraints: `required=true`. |
